Difference between revisions of "Minimum Assets"

From Iodoom3
Jump to: navigation, search
m
m
Line 52: Line 52:
 
    
 
    
 
   pak002.pk4
 
   pak002.pk4
     models/md5/characters/npcs/*    // ? animations, model, collision meshes, etc. for player
+
     models/md5/characters/npcs/playermoves/*    // ? animations and models for player
    models/md5/characters/player/*    // ? animations, model, collision meshes, etc. for player
 
 
    
 
    
 
   pak006.pk4
 
   pak006.pk4
 
     script/*    // ? requires updated weapon scripts
 
     script/*    // ? requires updated weapon scripts

Revision as of 02:37, 6 December 2011

This is a list of minimum assets required from each pk4. The purpose of this list is to identify the assets which need to be replaced (or code changes to not require them) most urgently to accomplish standalone games (no doom3 assets).

The criteria are:

- The game must be able to devmap testmaps/test_box.map
- The game must load and essentially work (i.e. you can walk around and attack).
- The engine must be functional (e.g. console fonts, hud text)

This means that non-core assets (sounds, textures, etc) will be missing, and there will be many warnings.


Required Assets:

Refining this list is WIP, and should continue until specific files are named. Comment should include a '?' if you haven't tried eliminating [some of] the group yet.

 other
   default.cfg
 
 pak000.pk4
   af/*    // ?
   def/*    // ?
   fonts/*    // ?  hud text
   glprogs/*    // ?
   guis/*    // ?
   light/*    // ? 
   maps/testmaps/test_box.map    // test map
   maps/testmaps/test_box.proc    // test map
   materials/*    // ?
   newpdas/*    // ?
   particles/*    // ?
   script/ai_alphalabs2_scientist1.script    // required
   script/ai_base.script    // required
   script/ai_character.script    // required
   script/ai_character_prone.script    // required
   script/ai_character_sentry.script    // required
   script/ai_follower.script    // required
   script/ai_monster_*    // required
   script/doom_*    // ? main game scripts
   script/map_*.script    // ? required
   script/weapon_pda.script    // required (not in pak006)
   script/weapon_soulcube.script    // required (not in pak006)
   strings/*    // ?
   ui/*    // ?
 
 pak001.pk4
   dds/env/*    // ?
   dds/fonts/*    // ?
   dds/guis/*    // ?
   dds/textures/bigchars.dds    // needed for console text
   dds/textures/black.dds      // needed for console background
   dds/ui/*    // ?
 
 pak002.pk4
   models/md5/characters/npcs/playermoves/*    // ? animations and models for player
 
 pak006.pk4
   script/*    // ? requires updated weapon scripts